package cn.hanghui.outapi.platform.tenant.service;

import cn.hanghui.outapi.platform.common.entity.po.Account;
import cn.hanghui.outapi.platform.common.entity.rest.RestResult;
import cn.hanghui.outapi.platform.tenant.entity.dto.account.AccountDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.account.AccountSearch;
import cn.hanghui.outapi.platform.tenant.entity.dto.account.AccountVo;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.service
 * @class AccountService
 * @date 2024/7/1 下午4:34
 * @description
 */
public interface AccountService {

    RestResult<Boolean> add(AccountDto dto);

    RestResult<Boolean> del(Long accountId);

    RestResult<IPage<AccountVo>> page(AccountSearch dto);

    RestResult<AccountVo> query(Account account);

    RestResult<List<AccountVo>> list();

}
